> ## Documentation Index
> Fetch the complete documentation index at: https://gcore-waap-api-guides.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get features list

> Get information about all available features that you can manage.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cdn_reseller_api.yaml get /cdn/admin/feature
openapi: 3.1.0
info:
  title: Gcore OpenAPI – CDN Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 374b36dbeac8
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Account
    description: Information about CDN product settings in your account.
  - name: CDN service
    description: Information about the current state of CDN service in your account.
  - name: Features
    description: Information about free and paid features available for you account.
  - name: Balancer
    description: >-
      Balancer allows choosing CDN server locations that will be used for
      content delivery.


      To activate balancer, [set client’s balancer
      settings](/api-reference/cdn-resellers/balancer/set-client-balancer-settings).
  - name: CDN activity logs
    description: |-
      Get the history of users requests to CDN.
      It contains requests made both via the API and via the control panel.

      The following methods are not tracked in the activity logs:
      - HEAD
      - OPTIONS
  - name: Logs uploader
    description: Manage logs uploader configs for reseller accounts.
  - name: Statistics
    description: Statistics CDN usage and paid features usage.
  - name: Origin shielding
    description: >-
      Origin shielding helps protect your origin server from being overloaded
      with requests from multiple CDN servers.

      The option accumulates all CDN server requests at a special server called
      a shield or precache server.


      When shielding is enabled, only one precache server communicates with the
      origin host, not the entire CDN.
paths:
  /cdn/admin/feature:
    get:
      tags:
        - Features
      summary: Get features list
      description: Get information about all available features that you can manage.
      operationId: get-features-list
      responses:
        '200':
          $ref: '#/components/responses/FeaturesList'
components:
  responses:
    FeaturesList:
      description: Successful.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/FeaturesList'
          examples:
            default:
              $ref: '#/components/examples/FeaturesList'
  schemas:
    FeaturesList:
      type: array
      items:
        $ref: '#/components/schemas/FeaturesDetail'
    FeaturesDetail:
      type: object
      properties:
        id:
          allOf:
            - $ref: '#/components/schemas/body_response_features_ID'
        name:
          allOf:
            - $ref: '#/components/schemas/body_response_features_Name'
        service:
          type: string
          description: Parameter is **legacy**.
        is_free:
          allOf:
            - $ref: '#/components/schemas/body_response_features_IsFree'
    body_response_features_ID:
      type: integer
      description: Feature ID.
    body_response_features_Name:
      type: string
      description: Feature name.
    body_response_features_IsFree:
      type: boolean
      description: |-
        Defines whether a feature is free or paid.

        Possible values:
        - **true** - Feature is free.
        - **false** - Feature is paid.
  examples:
    FeaturesList:
      value:
        - id: 1
          name: Example 1
          service: CDN
          is_free: false
        - id: 2
          name: Example 2
          service: CDN
          is_free: true
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````